<!DOCTYPE HTML>
<html>
<head>
<title>BSES - Upload a File</title>
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<div id="content">
<h1>Upload a File</h1>
<input type='file' id="file" id="file"><br>
Password: <input type="password" id="password"><br>
Expiration Date (mm/dd/yyyy): <input type="text" id="expire"><br>
<input type="button" value="Encrypt File" onclick="encryptFile()">
<p id="output"></p>
<p><a href="file.html">View File</a> | <a href="upload.html">Upload a File</a> | <a href="/Access">Home</a></p>
<script type="text/javascript" src="http://crypto-js.googlecode.com/svn/tags/3.1.2/build/rollups/aes.js"></script>

<script type="text/javascript">
var password = "";

function loadFile(urlLocation,method,data)
{
var xmlhttp;
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    response = xmlhttp.responseText;
    document.getElementById('output').innerHTML = response;
    }
  }
xmlhttp.open(method,urlLocation,true);
 xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send(data);
}

function encryptFile() {
    var input = document.getElementById("file");
    var reader = new FileReader();
    reader.onload = function(){
      var dataURL = reader.result;
      password = document.getElementById('password').value;
      var message = dataURL.split(',')[1];
      var encrypted = CryptoJS.AES.encrypt(message, password);
      expire = document.getElementById("expire").value;
      loadFile('exec_upload.php','POST',"data="+encodeURIComponent(encrypted)+"&expire="+encodeURIComponent(expire));

    };



    reader.readAsDataURL(input.files[0]);
  };
</script>
</body>
</html>
